Foreman - Bug #6974

Hitting Cancel button on New Org > Manually Assign page goes to 404 page
08/07/2014 03:19 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: b sh

Category: Web Interface

Target version: 1.7.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1127447 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1127447
Description of problem:
While creating an org, hitting the Cancel button on the "Manually Assign" page of the wizard gives user a page not found error.

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140730.0

How reproducible:

Steps to Reproduce:

1. Begin creation of new org, "foobar"

2. On step 2 of the wizard, click the "Manually Assign” button

3. On the resulting page, click "Cancel"

Actual results:
User should be taken back to page one, or the orgs list page, or something

Expected results:
User gets dead-ended at 404 page

Additional info:
Not a serious issue but bad user experience.

Associated revisions

Revision 1f634752 - 11/11/2014 02:43 PM - B Sh
Fixes #6974 - Hitting Cancel button on New Org > Manually Assign goes to 404

Revision 29699d72 - 11/24/2014 12:48 PM - B Sh
Fixes #6974 - Hitting Cancel button on New Org > Manually Assign goes to 404

(cherry picked from commit 1f63475205f367a5ec01ebd8256ec4c546e6acfa)

History

#1 - 08/07/2014 03:20 AM - Dominic Cleal

- Category set to Web Interface

#2 - 08/07/2014 03:20 AM - Dominic Cleal

No route matches [GET] "/organizations/24-bz2/organizations_path"

#3 - 11/11/2014 05:01 AM - b sh

Foreman-bot hasn't updated this ticket, but there is a pull request: https:/github.com/theforeman/foreman/pull/1915 + the status should be "ready for
testing"/"being review".
https://bugzilla.redhat.com/show_bug.cgi?id=1127447
https://github.com/theforeman/foreman/pull/1915

#4 - 11/11/2014 05:19 AM - b sh

¢ "peing reviewed" :P

#5-11/11/2014 03:01 PM - B Sh
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 1{63475205t367a5ec01ebd8256ec4c546e6acfa.

#6 - 11/12/2014 03:51 AM - Dominic Cleal
- Assignee set to b sh

- translation missing: en.field_release set to 21
